Bug 21766 - Default sounds broken in 18.05 - wrong filter/link
Summary: Default sounds broken in 18.05 - wrong filter/link
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 18.05
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 21775
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-05 16:10 UTC by Nick Clemens
Modified: 2018-11-28 14:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21766: Correct filtering on AUDIO_ALERT_PATH js (1.23 KB, patch)
2018-11-05 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21766: Correct filtering on AUDIO_ALERT_PATH js (1.30 KB, patch)
2018-11-05 17:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20996: (RM follow-up) Fix the api tests (3.12 KB, patch)
2018-11-06 16:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21766: Correct filtering on AUDIO_ALERT_PATH js (1.35 KB, patch)
2018-11-06 18:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-11-05 16:10:56 UTC
Bug 15734 introduced wrong filter for AUDIO_ALERT_PATH - this seems to be introducing a leading '/' to the url.

This means the links are forming as:
http://kohadev-intra.myDNSname.org:8080/cgi-bin/koha/circ/%2Fintranet-tmpl/prog/sound/beep.ogg
Instead of
http://kohadev-intra.myDNSname.org:8080/intranet-tmpl/prog/sound/beep.ogg
Comment 1 Martin Renvoize 2018-11-05 16:36:30 UTC
Created attachment 81972 [details] [review]
Bug 21766: Correct filtering on AUDIO_ALERT_PATH js

I managed to introduce a bad filter whilst backporting bug 15734 to the
18.05.x series. This patch attempts to correct that.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Kyle M Hall 2018-11-05 17:44:31 UTC
Created attachment 81973 [details] [review]
Bug 21766: Correct filtering on AUDIO_ALERT_PATH js

I managed to introduce a bad filter whilst backporting bug 15734 to the
18.05.x series. This patch attempts to correct that.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Martin Renvoize 2018-11-06 16:39:20 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2018-11-06 18:22:27 UTC
Created attachment 82003 [details] [review]
Bug 21766: Correct filtering on AUDIO_ALERT_PATH js

I managed to introduce a bad filter whilst backporting bug 15734 to the
18.05.x series. This patch attempts to correct that.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2018-11-06 18:23:22 UTC
Martin please include the tests from bug 21775 when you will push this fix.
Comment 6 Martin Renvoize 2018-11-16 14:17:03 UTC
Pushed to 18.05.x for 18.05.06
Comment 7 Fridolin SOMERS 2018-11-26 08:32:36 UTC
Pushed to 17.11.x for 17.11.12

This bug exists even without Bug 21775.